net.dontdrinkandroot.visualization.item

## Class AbstractVisualItem

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.AbstractVisualItem

All Implemented Interfaces:
  VisualItem

Direct Known Subclasses:
  AbstractColoredItem, ImageItem, TypeItem

    public abstract class AbstractVisualItem
    extends Object
    implements VisualItem

### Field Summary

Fields
`protected Point2D` `anchor`
`protected Rectangle2D` `bounds`

### Constructor Summary

Constructors
Constructor and Description
`AbstractVisualItem()`

### Method Summary

Methods
`abstract void` `draw(Graphics2D g2d)`
`Rectangle2D` `getBounds()`
`Point2D` `getPosition()`
`void` `setPosition(double x, double y)`
`void` `setPosition(Point2D p)`
`protected abstract Rectangle2D` `updateBounds()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bounds

    protected Rectangle2D bounds

#### anchor

    protected Point2D anchor

### Constructor Detail

#### AbstractVisualItem

    public AbstractVisualItem()

### Method Detail

#### getBounds

    public Rectangle2D getBounds()

Specified by:
  `getBounds` in interface `VisualItem`

#### updateBounds

    protected abstract Rectangle2D updateBounds()

#### draw

    public abstract void draw(Graphics2D g2d)

Specified by:
  `draw` in interface `VisualItem`

#### setPosition

    public void setPosition(double x,
                   double y)

Specified by:
  `setPosition` in interface `VisualItem`

#### setPosition

    public void setPosition(Point2D p)

Specified by:
  `setPosition` in interface `VisualItem`

#### getPosition

    public Point2D getPosition()

Specified by:
  `getPosition` in interface `VisualItem`